<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script type="text/javascript">
    /*//定义存放文件数组*/
    var arrayFile=[];
    /*加载layui文件上传*/
    layui.use('upload', function(){
        var $ = layui.jquery
        ,upload = layui.upload;
        //多文件列表示例
        var tbodyListView = $('#tbody_List')
        ,uploadListIns = upload.render({
         elem: '#add_List'
        ,accept: 'file'
        ,exts:'xls|xlsx'
        ,multiple: true
        ,auto: false
        ,choose: function(obj){
            // var files = this.files = obj.pushFile(); //将每次选择的文件追加到文件队列
            //读取本地文件
            obj.preview(function(index, file, result){
                //添加 id 到数组
                arrayFile.push(index);
                //添加文件到数组
                arrayFile.push(file);
                //拼接生成表格
                var tr = $(['<tr id='+index+'>'
                    ,'<td hidden><div class="td_id">'+index+'</div></td>'
                    ,'<td><div contenteditable="true" class="mydiv1 mydiv" placeholder="请输入项目名称">'+file.name.split(".")[0]+'</div></td>'
                    // ,'<td>'
                    // ,' <select name="type" class="myselect"><option value="">请选择项目类型</option><option value="1">架空线路工程</option><option value="2">电缆工程</option><option value="3">变电站工程</option></select>'
                    // ,'<td><div contenteditable="true" class="mydiv2 mydiv" placeholder="请输入项目编号"></div></td>'
                    ,'<td><div contenteditable="true" tabindex=1 id=tab'+index+' onBlur="clearTotal('+'\''+index+'\''+');" class="mydiv3 mydiv" placeholder="请输入供应商"></div></td>'
                    ,'<td style="text-align: center">'
                    ,'<button class="layui-btn layui-btn-xs layui-btn-danger demo-delete">删除</button>'
                    ,'</td>'
                    ,'</tr>'].join(''));
                //删除
                tr.find('.demo-delete').on('click', function(){
                    // delete files[index]; //删除对应的文件
                    tr.remove();//删除tr
                    //清空input file当中已经存在文件
                    uploadListIns.config.elem.next()[0].value = '';
                });

                tbodyListView.append(tr);
                //清空input file当中已经存在文件
                uploadListIns.config.elem.next()[0].value = '';
            });
        }
    });
});
/*获取表单中数据  提交后台处理*/
function okSubmit() {
    //获取表单对象
    var formdata = new FormData();
    //获取工程input框的值
    var inputval = $("#myinput").val();
    var dt_number = $("#dt_number").val();
    //判断工程的值是否存在
    if(inputval==null||inputval==""){
        layer.msg("请输入单体工程名称",{icon: 3,offset:['40%','40%']});
        return false;
    }
    if(dt_number==null||dt_number==""){
        layer.msg("请输入单体工程编号",{icon: 3,offset:['40%','40%']});
        return false;
    }

    //获取输入的项目名称
    var div1 =  $(".mydiv1");
    // 获取施工单位
    var div3 =  $(".mydiv3");

    //判断列表中项目名称是否为空
    if (div1.length<=0){
        layer.msg("请输入结算书名称",{icon: 3,offset:['40%','40%']});
        return false;
    }
    //存储列表中 输入项目名称的值
    var divvalue=[];
    //存储列表中 输入项目名称的值
    var div_val=[];
    //循环获取当前项目列表的项目名称

    for (var i = 0; i < div1.length; i++) {
        //存放到集合当中
        divvalue[i]=div1[i].innerText;
        div_val[i]=div1[i].innerText;
    }
    //判断项目名称是否重复
    for (var i = 0; i < divvalue.length; i++) {
        if (divvalue[i]==""||divvalue[i]==null){
            layer.msg("请输入结算书名称",{icon: 3,offset:['40%','40%']});
            throw SyntaxError;
        }
        if(div_val[i]==divvalue[i+1]){
            layer.msg("结算书名称不能重复",{icon: 5,offset:['40%','40%']});
            throw SyntaxError;
        }
    }



    var div3value=[];
    for (var i = 0; i < div3.length; i++) {
        div3value[i]=div3[i].innerText;
    }
    //判断施工单位是否输入
    for(var k = 0;k < div3value.length;k++){
        if(div3value[k]=='合计'){
            layer.msg("供应商不能为合计",{icon: 3,offset:['40%','40%']});
            throw SyntaxError;
        }
        if(div3value[k]==null||div3value[k]==""){
            layer.msg("请输入供应商",{icon: 3,offset:['40%','40%']});
            throw SyntaxError;
        }
    }


    //  //判断formdata中是否存在数据
    // if(formdata.has("file")){
    //  //如果存在清空数据
    //     formdata.delete("file");
    // }
    // 获取表格id的值
    var td_id=document.getElementsByClassName("td_id");
    //存放id的数组
    var array_id = [];
    //循环遍历id
    for (var i = 0; i < td_id.length; i++) {
        array_id[i]=td_id[i].innerHTML;
    }
    //根据id获取对象文件传入后台
    for (var i = 0; i < array_id.length; i++) {
        for (var j = 0; j < arrayFile.length; j++) {
            if (array_id[i]==arrayFile[j]){
                //追加文件到表单当中
                formdata.append("file",arrayFile[j+1]);
            }
        }
    }
    formdata.append("projectName",inputval); //添加工程名称到表单中 工程名称
    formdata.append("projectNo",dt_number); //添加工程名称到表单中  工程编号
    formdata.append("itemNames",divvalue); // 添加项目名称到表单当中 结算书名称
    formdata.append("units",div3value);//添加到表单当中 供应商
    //加载提示
    layer.msg('加载中', {
        icon: 16
        ,shade: 0.01
        ,time:false
        ,offset:['40%','40%']
    });

    //提交表单内容到后台
    $.ajax({
        url: "${ctx}/project/tem/import",
        type: "POST",
        data: formdata,
        traditional: true,
        cache: false,        // 不缓存数据
        processData: false,  // 不处理数据
        contentType: false,   // 不设置内容类型
        success:function (data) {
            if(data.code == 1){
                // this.formdata=new FormData();
                layer.msg(data.msg,{icon: 6,offset:['40%','40%']},function(){
                    window.location.href="${ctx}/project/tem/list?projectId="+data.id;
                });
            }else {
                layer.alert(data.msg, {offset:['32%','30%']})
            }
        }
    });
    return false;
}
/* 供应商名称去掉合计*/
function clearTotal(id) {
    var totalId = "tab"+id;
    var total = $("#"+totalId).text();
    if(total == '合计'){
        $("#"+totalId).text(" ");
        layer.msg("供应商名称不能为合计",{icon: 3,offset:['40%','40%']});
    }
}
</script>